<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;

class StoreStockRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|unique:stock,name',
            'type' => 'required',
            'model_number' => 'unique:stock,model_number',
            // Add more rules as needed based on business logic
        ];
    }
}
